/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


		#include "ui/ui_ace_manager.h"
		#include "core/ace.h"
		#include "memory/nauto_ptr.h"


//------------------------------------------------------------------------------
GS::ACE::Manager	*GS::S2D::ACEManager::Get()
{
	static AutoPtr <GS::ACE::Manager> ui_manager;

	if	(!ui_manager)
	{
		ui_manager = new GS::ACE::Manager;
		ui_manager->DefineACECommand("toalpha", ACE_toalpha, 1);
		ui_manager->DefineACECommand("toposition", ACE_toposition, 2);
		ui_manager->DefineACECommand("toscale", ACE_toscale, 2);
		ui_manager->DefineACECommand("toangle", ACE_toangle, 1);
		ui_manager->DefineACECommand("show", ACE_show, 0);
		ui_manager->DefineACECommand("hide", ACE_hide, 0);
		ui_manager->DefineACECommand("globalfade", ACE_globalfade, 1);
	}
	return ui_manager;
}
//------------------------------------------------------------------------------
